Home

Create a wallet

POST
https://algo.nownodes.io/v1/wallet

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Create a new wallet (collection of keys) with the given parameters.

Body

application/json

APIV1POSTWalletRequest is the request for POST /v1/wallet

master_derivation_keyArray<integer>

MasterDerivationKey is used to derive ed25519 keys for use in wallets

wallet_driver_namestring
wallet_namestring
wallet_passwordstring

Response

200OK

Response to POST /v1/wallet